/***************************************************************************
 *   Copyright (C) 2004 by Christoph                                       *
 *   chris@inferno.nadir.org                                               *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifndef _KLETTERWIZARD_H_
#define _KLETTERWIZARD_H_

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <kparts/mainwindow.h>
#include <kurl.h>
#include <kaction.h>
#include "klwlayout.h"
#include "klwletter.h"


/**
 * @short Application Main Window
 * @author Christoph <chris@inferno.nadir.org>
 * @version 0.1
 */
class kletterwizard : public KParts::MainWindow
{
    Q_OBJECT
public:
    /**
     * Default Constructor
     */
    kletterwizard();
    kletterwizard(KURL);

    /**
     * Default Destructor
     */
    virtual ~kletterwizard();
    
private:
    klwLayout *layout;
    klwLetter *letter;
    KAction *savePSAction;
    KAction *saveTexAction;
    void setup();
    
private slots:
    virtual void layoutTextChanged();
    virtual void updateGUI(bool);
    virtual void showSettings();
    virtual void settingsChanged();
    virtual void buildingStart();
    virtual void buildingEnd();
    virtual void print();
    virtual void slotToggleMenuBar();
    virtual void fileSaved();
    virtual void updateCaption();
};

#endif // _KLETTERWIZARD_H_
