/***************************************************************************
 *   Copyright (C) 2004 by Christoph                                       *
 *   chris@inferno.nadir.org                                               *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef KLWLAYOUT_H
#define KLWLAYOUT_H

#include <klwLayoutBase.h>

#include <kparts/part.h>
#include <kurl.h>

#include <qlayout.h>

#include "klwletter.h"
#include "klwlayoutaddress.h"

class klwLayout : public klwLayoutBase
{
Q_OBJECT
    
public:
    klwLayout(QWidget *parent = 0, const char *name = 0);
    ~klwLayout();
    
    KParts::ReadOnlyPart *preview_viewer;
    klwLayoutAddress *address;
    int currentPage;
    
public slots:
    void toggleDate(int i);
    void handleTabChange(QWidget*);
    void settingsChanged();
    void openPS(const KURL&);
    void letterOpened(const klwLetter*);

signals:
    void needNewPS();
    void needGUIUpdating(bool);
    
private:
    int i;
    bool previewIsUptodate;
    KURL PSFile;
};



#endif
