/***************************************************************************
 *   Copyright (C) 2004 by Christoph                                       *
 *   chris@inferno.nadir.org                                               *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#include "klwlayoutaddress.h"

klwLayoutAddress::klwLayoutAddress(QWidget *parent, const char *name)
 : klwLayoutAddressBase(parent, name)
{
    setAcceptDrops( TRUE );
}


klwLayoutAddress::~klwLayoutAddress()
{
}

void klwLayoutAddress::dragEnterEvent(QDragEnterEvent *event)
{
    if (event->provides("text/x-vcard"))
	event->accept();
}
 
void klwLayoutAddress::dropEvent(QDropEvent *event)
{
	    KABC::VCardConverter converter;
	    KABC::Addressee a = converter.parseVCard(QString::fromUtf8(event->encodedData("text/x-vcard")));
	    KABC::Address::List list = a.addresses();
	    KABC::Address::List::iterator it;
    	    lineEditTo->setText(a.organization());
	    lineEditName->setText(a.givenName() + " " + a.additionalName() + " " + a.familyName());
	    
	    it = list.begin();

	    // we have at least one address
	    if ( ! list.isEmpty())
	    {
		// only one address, don't need kpopup to choose
		if (list.count() == 1)
		{
		    lineEditStreet->setText((*it).street());
		    lineEditCity->setText((*it).postalCode() + " " + (*it).locality());
		}
		else
		{
		    KPopupMenu *menu = new KPopupMenu(this,"Addresschooser");
		    menu->insertTitle("Available Addresses");
		    int i=0;
		    for ( it = list.begin(); it != list.end(); ++it)
		    {
			
			kdDebug() << (*it).typeLabel() << "********************************" << endl;
			menu->insertItem((*it).typeLabel(),i);
			i++;
		    }
		    int result = menu->exec(QCursor::pos());
		    kdDebug() << result << "RESULT *******************" << endl;
		    if (result >= 0)
		    {
			lineEditStreet->setText((*list.at(result)).street());
			lineEditCity->setText((*list.at(result)).postalCode() + " " + (*list.at(result)).locality());
		    }
		    else
		    {
			lineEditStreet->setText("");
			lineEditCity->setText("");
		    }
			
		}
		
	    }
	    else
	    {
		// there is no address 
		lineEditStreet->setText("");
		lineEditCity->setText("");
	    }
}

#include "klwlayoutaddress.moc"
