/***************************************************************************
 *   Copyright (C) 2004 by Christoph                                       *
 *   chris@inferno.nadir.org                                               *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef KLWLETTER_H
#define KLWLETTER_H

#include <ktempdir.h>
#include <kabc/addressbook.h>
#include <kurl.h>
#include <kprocess.h>
#include <qstring.h>
#include <qfile.h>
#include <qdatetime.h>

#include <qobject.h>

/**
@author Christoph
*/
class klwLetter : public QObject
{
Q_OBJECT
public:
    klwLetter(QObject *parent = 0, const char *name = 0);

    ~klwLetter();
    void somethingChanged();
    QString escapeText(QString);
    
    
    QString letterTo;
    QString letterName;
    QString letterStreet;
    QString letterCity;
    QString letterYourSign;
    QString letterMySign;
    QString letterYourLetterFrom;
    QString letterEnclosures;
    QString letterSubject;
    QString letterSalutation;
    QString letterRegards;
    QString letterText;
    KTempDir *letterTmpDir;
    QFile *letterDVIfile;
    QFile *letterTexfile;
    QFile *letterPSfile;
    QFile lmlFile;
    QString letterToXML();
    bool letterTEXisUptodate;
    bool yourLetterFromOn;
    
    
signals:
    void letterPSNew(const KURL&);
    void letterBuildingStart();
    void letterBuildingEnd();
    void letterLetterOpened(const klwLetter*);
    void fileSaved();
    
public slots:
    virtual void letterSave();
    virtual void letterSaveAs();
    virtual void letterSavePS();
    virtual void letterSaveTex();
    virtual void letterOpen();
    virtual void letterOpen(KURL);
    virtual void letterMakePS();
    virtual void letterBuildPS();
    virtual void letterPSReady();
    virtual void letterMakeTex();
    virtual void letterMakeDVI();
    virtual void letterNewTo(const QString&);
    virtual void letterNewName(const QString &name);
    virtual void letterNewStreet(const QString &street);
    virtual void letterNewCity(const QString &city);
    virtual void letterNewSalutation(const QString &salutation);
    virtual void letterNewRegards(const QString &regards);
    virtual void letterNewYourSign(const QString &yourSign);
    virtual void letterNewYourLetterFrom(QDate d);
    virtual void letterNewEnclosures(const QString &enclosures);
    virtual void letterNewSubject(const QString &subject);
    virtual void letterNewText(QString text);
    virtual void letterNewMySign(const QString &mySign);
    virtual void letterChkYourLetterFromChanged(int i);
    
};

#endif
